## Retrieve **get** `/v1/files/{id}` Retrieves a single file by its ID. **[Required scope](/using-the-api/scopes/):** `files:read` **[Rate limit category](/using-the-api/rate-limits/):** Read ### Path Parameters - `id: string` Unique identifier of the file to retrieve. ### Returns - `FileRetrieveResponse = object { id, completedAt, createdAt, 5 more }` - `id: string` Unique identifier for the file. - `completedAt: string` When the file upload was completed. - `createdAt: string` When the file upload session was created. - `expiresAt: string` When the upload session expires. Null once completed, cancelled, or expired. - `filename: string` Original filename. - `mimeType: string` MIME type of the file. - `sizeBytes: number` File size in bytes. - `status: "PENDING" or "COMPLETED" or "CANCELLED" or "EXPIRED"` Current upload status of the file. - `"PENDING"` - `"COMPLETED"` - `"CANCELLED"` - `"EXPIRED"` ### Example ```http curl https://api.lightfield.app/v1/files/$ID \ -H 'Lightfield-Version: 2026-03-01' \ -H "Authorization: Bearer $API_KEY" ```